module Utility
  # module Vector
  #   UP    = Utility::Vector(x: 0 , y: 1)
  #   DOWN  = Utility::Vector(x: 0 , y: -1)
  #   LEFT  = Utility::Vector(x: -1, y: 0)
  #   RIGHT = Utility::Vector(x: 1 , y: 0)
  #   ZERO  = Utility::Vector(x: 0, y: 0)

  # end

  def Vector(x: 0, y:0)
    {x: x, y: y}
  end

  def Size(w: 0, h: 0)
    {w: w, h: h}
  end
end